com.lowagie.text.rtf.parser.ctrlwords

## Class RtfCtrlWordMap

- java.lang.Object
- - com.lowagie.text.rtf.parser.ctrlwords.RtfCtrlWordMap

    final class RtfCtrlWordMap
    extends java.lang.Object

`RtfCtrlWords` handles the creation of the control word wiring. It is a class containing the hash map of the control words (key) and their associated class (value).

Since:
  2.0.8
Author:
  Howard Shank (hgshank@yahoo.com)

### Field Summary

Fields
`private java.util.HashMap` `ctrlWords` Control Word HashMap mapping object.

### Constructor Summary

Constructors
Constructor and Description
`RtfCtrlWordMap(RtfParser rtfParser)` Constructor

### Method Summary

Methods
`RtfCtrlWordHandler` `getCtrlWordHandler(java.lang.String ctrlWord)` Get the HashMap object containing the control words.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ctrlWords

    private java.util.HashMap ctrlWords

Control Word HashMap mapping object.

### Constructor Detail

#### RtfCtrlWordMap

    public RtfCtrlWordMap(RtfParser rtfParser)

Constructor

Parameters:
  `rtfParser` - The parser object.
Since:
  2.0.8

### Method Detail

#### getCtrlWordHandler

    public RtfCtrlWordHandler getCtrlWordHandler(java.lang.String ctrlWord)

Get the HashMap object containing the control words. Initializes the instance if this is the first instantiation of RtfCtrlWords class.

Since:
  2.0.8